[TUTORIEL] - Gladys clés en main

docker
tutoriel

#41

Bonjour je suis débutant sur mac os et même si le post date un peu j’aimerais avoir plus d’info sur l’entrée de commande dans le terminal je n’y arrive pas merci d’avance !


#42

Bonjour,

De quelle manière peut-on ajouter la gestion du zwave sur Gladys pour docker?
Open-zwave ne semble pas installé sur l’image, comment peut-on l’ajouter manuellement ?

Merci pour votre aide.


#43

Sur quelle plate-forme ? car j’ai ajouté open zwave sur les images.


#44

Docker sur synology.
J’ai pris cette version gladysassistant/gladys:latest.


#45

Du coup tu as une clé z wave c’est ça ?

Il faut que le conteneur puisse accéder au périphérique usb


#46

Je n’arrive pas à installer le module zwave. J’ai des messages d’erreurs lors de l’installation du module. J’ai refais mon container dans le doute mais pas mieux.
Par exemple il plantait car il n’y avait pas git du coup je l’ai installé via apk add git.

Ensuite j’'ai ceci, car il manque python :

Module install : Fail to install NPM dependencies. Stderr :                                                                           
gyp ERR! configure error                                                                                                                 

gyp ERR! stack Error: Can't find Python executable "python", you can set the PYTHON env variable.                                        

gyp ERR! stack     at PythonFinder.failNoPython (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:484:19)          

gyp ERR! stack     at PythonFinder.<anonymous> (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:406:16)           

gyp ERR! stack     at F (/usr/local/lib/node_modules/npm/node_modules/which/which.js:68:16)                                              

gyp ERR! stack     at E (/usr/local/lib/node_modules/npm/node_modules/which/which.js:80:29)                                              

gyp ERR! stack     at /usr/local/lib/node_modules/npm/node_modules/which/which.js:89:16                                                  

gyp ERR! stack     at /usr/local/lib/node_modules/npm/node_modules/isexe/index.js:42:5                                                   

gyp ERR! stack     at /usr/local/lib/node_modules/npm/node_modules/isexe/mode.js:8:5                                                     

gyp ERR! stack     at FSReqWrap.oncomplete (fs.js:154:21)                                                                                

gyp ERR! System Linux 3.10.102                                                                                                           

gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"                 

gyp ERR! cwd /src/api/hooks/zwave/node_modules/openzwave-shared                                                                          

gyp ERR! node -v v10.15.1                                                                                                                

gyp ERR! node-gyp -v v3.8.0                                                                                                              

gyp ERR! not ok                                                                                                                          

npm WARN [email protected] No repository field.                                                                                         

                                                                                                                                         

npm ERR! code ELIFECYCLE                                                                                                                 

npm ERR! errno 1                                                                                                                         

npm ERR! [email protected] install: `node-gyp rebuild`                                                                              

npm ERR! Exit status 1                                                                                                                   

npm ERR!                                                                                                                                 

npm ERR! Failed at the [email protected] install script.                                                                            

npm ERR! This is probably not a problem with npm. There is likely additional logging output above.                                       

                                                                                                                                         

npm ERR! A complete log of this run can be found in:

Et si je l’installe il manque encore autre chose. Il y a un truc pas clair avec mon installation mais je ne vois pas ce que c’est. @VonOx une idée ?


#47

Faut que je test chez moi ( mais j’ai pas de zwave donc je pourrai pas aller plus loin que l’install du module)

Je pense qu’il manque des dépendances dans l’image